Package org.eclipse.jface.viewers

# Interface ISelectionChangedListener

All Known Implementing Classes:
  `AbstractTextEditor.AbstractSelectionChangedListener`, `AddBookmarkAction`, `AddTaskAction`, `BaseSelectionListenerAction`, `BuildAction`, `CloseResourceAction`, `CloseUnrelatedProjectsAction`, `CommonNavigatorManager`, `CompareContentViewerSwitchingPane`, `CompareStructureViewerSwitchingPane`, `CompareViewerPane`, `CompareViewerSwitchingPane`, `ContentOutline`, `ContentOutlinePage`, `CopyProjectAction`, `CopyResourceAction`, `CreateFileAction`, `CreateFolderAction`, `DeleteResourceAction`, `DrillDownAdapter`, `EditorPluginAction`, `ExportResourcesAction`, `ImportResourcesAction`, `MergeSourceViewer`, `ModelParticipantAction`, `MoveProjectAction`, `MoveResourceAction`, `ObjectPluginAction`, `OpenFileAction`, `OpenResourceAction`, `OpenSystemEditorAction`, `PaintManager`, `PartPluginAction`, `PluginAction`, `PropertyDialogAction`, `RefreshAction`, `RenameResourceAction`, `ScrubLocalAction`, `SelectionListenerAction`, `SelectionProviderAction`, `SynchronizeModelAction`, `ViewPluginAction`, `WorkspaceAction`, `WWinPluginAction`, `WWinPluginPulldown`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ISelectionChangedListener
A listener which is notified when a viewer's selection changes.

See Also:
  - `ISelection`
  - `ISelectionProvider`
  - `SelectionChangedEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`selectionChanged(SelectionChangedEvent event)`
Notifies that the selection has changed.

## Method Details

### selectionChanged

void selectionChanged(SelectionChangedEvent event)
Notifies that the selection has changed.

Parameters:
  `event` - event object describing the change